#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2014 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Encinitas demographics initialization
"""

from schooltool.app.app import InitBase

from schooltool.basicperson.demographics import DescriptionFieldDescription
from schooltool.basicperson.interfaces import IDemographicsFields

from schooltool.encinitas import EncinitasMessage as _


def setUpDemographics(app):
    dfs = IDemographicsFields(app)
    if 'alert_comment' not in dfs:
        dfs['alert_comment'] = DescriptionFieldDescription(
            'alert_comment', _('Alert Comment'),
            limit_keys=['students'])


class EncinitasDemographicsInit(InitBase):

    after = ('schooltool.basicperson.demographics',)
    
    def __call__(self):
        setUpDemographics(self.app)
